### Method

# Gtk FileChooseradd_choice

deprecated: 4.10

#### Declaration [src]

    void
    gtk_file_chooser_add_choice (
      GtkFileChooser* chooser,
      const char* id,
      const char* label,
      const char** options,
      const char** option_labels
    )

#### Description [src]

Adds a ‘choice’ to the file chooser.

This is typically implemented as a combobox or, for boolean choices, as a checkbutton. You can select a value using `gtk_file_chooser_set_choice()` before the dialog is shown, and you can obtain the user-selected value in the `GtkDialog::response` signal handler using `gtk_file_chooser_get_choice()`.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Parameters

`id`

  Type: `const char*`

  Id for the added choice.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const char*`

  User-visible label for the added choice.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`options`

  Type: An array of `char*`

  Ids for the options of the choice, or `NULL` for a boolean choice.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`option_labels`

  Type: An array of `char*`

  User-visible labels for the options, must be the same length as `options`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.